Bug 849485 - hang during boot when loading nouveau on MacbookPro 9,1
hang during boot when loading nouveau on MacbookPro 9,1
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
17
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 18:37 EDT by Lonni J Friedman
Modified: 2013-07-31 17:53 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:53:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/sys/firmware/acpi/tables (16.98 KB, application/x-gzip)
2012-08-21 21:49 EDT, Lonni J Friedman
no flags Details

  None (edit)
Description Lonni J Friedman 2012-08-19 18:37:34 EDT
Description of problem:
I've got a MacbookPro 9,1 (*NOT* the retina display model), which experiences a consistent hang during boot whenever nouveau is loaded.  If I boot with 'nomodeset' that works around the problem, but that also means that I can't start X.

Version-Release number of selected component (if applicable):
3.5.2-1.fc17.x86_64

How reproducible:
100% of the time, boot without any extra kernel boot parameters

Steps to Reproduce:
1.boot Fedora17 on a Macbookpro 9,1
2.watch it hang 

  
Actual results:
The boot process dies every time with the following as the last line on the screen:
fb: conflicting fb hw usage nouveaufb vs VESA VGA - removing generic driver

Expected results:
boots successfully, X starts, no instability

Additional info:
If I move/rename nouveau.ko so that it can't be loaded at boot time, and then move it back, run 'depmod -a' and manually load it with 'modprobe nouveau', then modprobe segfaults, and I see the following in dmesg:
###############
[   75.410862] [drm] nouveau 0000:01:00.0: Detected an NVe0 generation card (0x0e7150a2)
[   75.412943] [drm] nouveau 0000:01:00.0: acceleration disabled by default, pass noaccel=0 to force enable
[   75.413510] checking generic (a1000000 500000) vs hw (90000000 10000000)
[   75.413510] checking generic (a1000000 500000) vs hw (a0000000 2000000)
[   75.413511] fb: conflicting fb hw usage nouveaufb vs VESA VGA - removing generic driver
[   75.414009] Console: switching to colour dummy device 80x25
[   75.417238] [drm] nouveau 0000:01:00.0: Checking PRAMIN for VBIOS
[   75.417251] [drm] nouveau 0000:01:00.0: ... BIOS signature not found
[   75.417252] [drm] nouveau 0000:01:00.0: Checking PROM for VBIOS
[   75.417284] [drm] nouveau 0000:01:00.0: ... BIOS signature not found
[   75.417286] [drm] nouveau 0000:01:00.0: Checking ACPI for VBIOS
[   75.417287] [drm] nouveau 0000:01:00.0: ... BIOS signature not found
[   75.417288] [drm] nouveau 0000:01:00.0: Checking PCIROM for VBIOS
[   75.417366] [drm] nouveau 0000:01:00.0: ... appears to be valid
[   75.417368] [drm] nouveau 0000:01:00.0: Using VBIOS from PCIROM
[   75.417370] [drm] nouveau 0000:01:00.0: BIT BIOS found
[   75.417371] [drm] nouveau 0000:01:00.0: Bios version 80.07.1d.03
[   75.417374] [drm] nouveau 0000:01:00.0: TMDS table version 2.0
[   75.417485] [drm] nouveau 0000:01:00.0: MXM: no VBIOS data, nothing to do
[   75.417487] [drm] nouveau 0000:01:00.0: DCB version 4.0
[   75.417489] [drm] nouveau 0000:01:00.0: DCB outp 00: 01800103 00010034
[   75.417491] [drm] nouveau 0000:01:00.0: DCB outp 01: 028112a6 0f220010
[   75.417492] [drm] nouveau 0000:01:00.0: DCB outp 02: 02011212 00020010
[   75.417494] [drm] nouveau 0000:01:00.0: DCB outp 03: 048224b6 0f220010
[   75.417496] [drm] nouveau 0000:01:00.0: DCB outp 04: 04022472 00020010
[   75.417497] [drm] nouveau 0000:01:00.0: DCB outp 05: 088338c6 0f220010
[   75.417499] [drm] nouveau 0000:01:00.0: DCB outp 06: 08033882 00020010
[   75.417501] [drm] nouveau 0000:01:00.0: DCB conn 00: 00000040
[   75.417503] [drm] nouveau 0000:01:00.0: DCB conn 01: 00105146
[   75.417504] [drm] nouveau 0000:01:00.0: DCB conn 02: 00002246
[   75.417506] [drm] nouveau 0000:01:00.0: DCB conn 03: 00010346
[   75.417517] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0x8569
[   75.417520] [drm] nouveau 0000:01:00.0: 0x8569: Init table command not found: 0xC9
[   75.417522] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0x8D91
[   75.417524] [drm] nouveau 0000:01:00.0: 0x8D91: Init table command not found: 0xEC
[   75.417525] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0x66B4
[   75.417527] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0xA935
[   75.417529] [drm] nouveau 0000:01:00.0: 0xC359: Init table command not found: 0xE8
[   75.417531] [drm] nouveau 0000:01:00.0: Magic Lookup Value too big (53)
[   75.417533] [drm] nouveau 0000:01:00.0: 0xA938: no tmds_index_reg
[   75.417544] ------------[ cut here ]------------
[   75.417545] kernel BUG at drivers/gpu/drm/nouveau/nouveau_bios.c:352!
[   75.417547] invalid opcode: 0000 [#1] SMP 
[   75.417549] CPU 7 
[   75.417550] Modules linked in: nouveau(+) snd_hda_codec_hdmi snd_hda_codec_cirrus snd_hda_intel snd_hda_codec b43 snd_hwdep mac80211 apple_gmux snd_pcm coretemp snd_page_alloc cfg80211 snd_timer kvm_intel snd mxm_wmi wmi rfkill kvm i2c_algo_bit uvcvideo ttm videobuf2_vmalloc ssb videobuf2_memops apple_bl videobuf2_core drm_kms_helper soundcore crc32c_intel videodev tg3 mei drm lpc_ich media mfd_core ghash_clmulni_intel i2c_i801 i2c_core applesmc(O) microcode bcma bcm5974 input_polldev firewire_ohci sdhci_pci firewire_core sdhci crc_itu_t mmc_core video [last unloaded: scsi_wait_scan]
[   75.417578] 
[   75.417580] Pid: 636, comm: modprobe Tainted: G           O 3.5.2-1.fc17.x86_64 #1 Apple Inc. MacBookPro9,1/Mac-4B7AC7E43945597E
[   75.417583] RIP: 0010:[<ffffffffa04ae621>]  [<ffffffffa04ae621>] munge_reg+0x91/0xa0 [nouveau]
[   75.417599] RSP: 0018:ffff88025faff908  EFLAGS: 00010246
[   75.417600] RAX: 0000000000000000 RBX: ffff880260209770 RCX: 000000000000a9dd
[   75.417602] RDX: 0000000000000000 RSI: 00000000e877b1e8 RDI: ffff880260209770
[   75.417604] RBP: ffff88025faff908 R08: ffff880260630000 R09: 0000000000000039
[   75.417605] R10: ffffffff81846460 R11: 0000000000040000 R12: ffff880260209770
[   75.417607] R13: 0000000000000000 R14: ffff88025faff9e4 R15: 000000000475033c
[   75.417609] FS:  00007f5d86dc2740(0000) GS:ffff88026f3c0000(0000) knlGS:0000000000000000
[   75.417611] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[   75.417612] CR2: 00007f5d86c92000 CR3: 000000025f807000 CR4: 00000000001407e0
[   75.417614] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   75.417616] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[   75.417618] Process modprobe (pid: 636, threadinfo ffff88025fafe000, task ffff88025fa60000)
[   75.417620] Stack:
[   75.417621]  ffff88025faff938 ffffffffa04afe24 00000000000003cc ffff880260209770
[   75.417624]  00000000e877b1e8 0000000004741980 ffff88025faff978 ffffffffa04b0535
[   75.417627]  ffff88025faff978 ffffffffa054fe39 000000000000a9dd 0000000000000003
[   75.417630] Call Trace:
[   75.417639]  [<ffffffffa04afe24>] bios_rd32+0x24/0xb0 [nouveau]
[   75.417647]  [<ffffffffa04b0535>] init_97+0x45/0x90 [nouveau]
[   75.417654]  [<ffffffffa04af755>] parse_init_table+0xf5/0x240 [nouveau]
[   75.417662]  [<ffffffffa04b8ba7>] nouveau_run_vbios_init+0x387/0x3e0 [nouveau]
[   75.417670]  [<ffffffffa04b9447>] nouveau_bios_init+0x847/0x1420 [nouveau]
[   75.417674]  [<ffffffff813af69c>] ? register_client+0x4c/0x220
[   75.417683]  [<ffffffffa0496daa>] nouveau_card_init+0x33a/0x1840 [nouveau]
[   75.417691]  [<ffffffffa049885a>] nouveau_load+0x45a/0x890 [nouveau]
[   75.417699]  [<ffffffffa0122fe6>] drm_get_pci_dev+0x186/0x2d0 [drm]
[   75.417710]  [<ffffffffa053ca1c>] nouveau_pci_probe+0x10/0x12 [nouveau]
[   75.417714]  [<ffffffff812f7a3c>] local_pci_probe+0x5c/0xd0
[   75.417717]  [<ffffffff812f7bd1>] pci_device_probe+0x121/0x130
[   75.417720]  [<ffffffff813b5502>] driver_probe_device+0x92/0x390
[   75.417723]  [<ffffffff813b58ab>] __driver_attach+0xab/0xb0
[   75.417725]  [<ffffffff813b5800>] ? driver_probe_device+0x390/0x390
[   75.417728]  [<ffffffff813b3575>] bus_for_each_dev+0x55/0x90
[   75.417731]  [<ffffffffa03cf000>] ? 0xffffffffa03cefff
[   75.417733]  [<ffffffff813b4d8e>] driver_attach+0x1e/0x20
[   75.417735]  [<ffffffff813b4a98>] bus_add_driver+0x1a8/0x2a0
[   75.417738]  [<ffffffffa03cf000>] ? 0xffffffffa03cefff
[   75.417740]  [<ffffffffa03cf000>] ? 0xffffffffa03cefff
[   75.417742]  [<ffffffff813b5f77>] driver_register+0x77/0x150
[   75.417745]  [<ffffffffa03cf000>] ? 0xffffffffa03cefff
[   75.417747]  [<ffffffff812f68ee>] __pci_register_driver+0x5e/0xe0
[   75.417749]  [<ffffffffa03cf000>] ? 0xffffffffa03cefff
[   75.417755]  [<ffffffffa012324a>] drm_pci_init+0x11a/0x130 [drm]
[   75.417759]  [<ffffffffa03cf000>] ? 0xffffffffa03cefff
[   75.417762]  [<ffffffffa03cf000>] ? 0xffffffffa03cefff
[   75.417773]  [<ffffffffa03cf04f>] nouveau_init+0x4f/0x1000 [nouveau]
[   75.417778]  [<ffffffff8100212a>] do_one_initcall+0x12a/0x180
[   75.417784]  [<ffffffff810ba066>] sys_init_module+0x10f6/0x20b0
[   75.417788]  [<ffffffff812ecda0>] ? ddebug_proc_open+0xd0/0xd0
[   75.417794]  [<ffffffff816148e9>] system_call_fastpath+0x16/0x1b
[   75.417797] Code: 85 c0 78 25 c1 e0 0b 01 c6 f7 c6 00 00 00 40 74 d5 eb b3 0f 1f 80 00 00 00 00 f6 42 10 01 8d 86 80 00 00 00 0f 44 f0 eb bd 0f 0b <0f> 0b 66 66 66 66 2e 0f 1f 84 00 00 00 00 00 55 48 89 e5 41 54 
[   75.417827] RIP  [<ffffffffa04ae621>] munge_reg+0x91/0xa0 [nouveau]
[   75.417837]  RSP <ffff88025faff908>
[   75.417845] ---[ end trace aa731520363c1db2 ]---
###############
Comment 1 Ben Skeggs 2012-08-21 01:37:38 EDT
Ugh, we retrieved a busted VBIOS image and crash due to another (that *should* be now fixed upstream) bug.

Either there's something wrong with our VBIOS fetching methods, or Apple is doing something new/different on these models that we need to implement.

Can you copy /sys/firmware/acpi/tables somewhere (the copy is necessary before compressing), compress it and attach to this bug.

Thanks!
Comment 2 Lonni J Friedman 2012-08-21 21:49:59 EDT
Created attachment 606090 [details]
/sys/firmware/acpi/tables

requested contents of /sys/firmware/acpi/tables from the MacbookPro 9,1
Comment 3 Lonni J Friedman 2012-08-23 12:56:20 EDT
Do you need anything else from me right now?
Comment 4 Ben Skeggs 2012-08-23 18:10:42 EDT
Not right now, thanks.  I'll get back to you once I have a chance too take a look at the problem with the hardware in front of me!
Comment 5 Lonni J Friedman 2012-10-22 15:06:18 EDT
Any updates on this after 2 months?  Its frustrating to have this shiny HW that I can't use at all with Linux.
Comment 6 Fedora End Of Life 2013-07-03 17:05:49 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 17:53:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.